#!/bin/sh

VERSION='$Id: sm_ctrld.sh,v 1.7 2001/07/27 07:00:44 amdosoft Exp $'

# READ INI
read_ini()
{
  SM_INI=`grep -i '^sm_ini=' /etc/sesam2000.ini|cut -d"=" -f2`
  echo `grep -i "$1=" "$SM_INI"|cut -d"=" -f2`
}



# KILL ACTIVE JOB
sub_kill_job()
{
  ps -ef | grep $1 | grep -v grep | grep -v $MYSELF >/dev/null 2>&1
  STATUS=$? 
  #echo $STATUS $1 $2
  if [ "$STATUS" = "0" ]
  then
    echo "FOUND ACTIVE ${1}. WILL REMOVE"
    if [ "`uname`" = "Linux" -o "`uname`" = "OSF1" ]
    then
      ps -ef|grep $1|grep -v grep|tr -s ' ' ' '|cut -f2 -d' '|xargs -n1 kill $2
    else  
      ps -e |grep $1|grep -v grep|tr -s ' ' ' '|cut -f2 -d' '|xargs -n1 kill $2 
    fi
    sleep 5
    sub_kill_job $1 -9
  fi
}


 
# STOP OR START sm_ctrld_main
sub_env()
{
  GV_RO=/sesam/
  GV_RO=`read_ini gv_ro`

  if [ "$1" = "stop" -o "$1" = "STOP" ]
  then
    SWITCH="stop"
  else
    SWITCH="start"
  fi
}


# MAIN PROCEDURE
sub_main()
{
  sub_kill_job sbc -2

  if [ "$SWITCH" = "start" ] 
  then
    echo "TRY TO START sm_ctrld_main"
    ${GV_RO}bin/sesam/sm_ctrld_main   
    STATUS=$?
    if [ "$STATUS" = "0" ]
    then
      echo "DONE"
      exit 0
    else
      echo "FAIL TO START sm_ctrld_main"
      exit 1
    fi

  else
    echo "TRY TO STOP sm_ctrld_main"
    #sub_kill_job sm_ctrld_main
    # SUN,SINIX
    sub_kill_job sm_ctrld
    echo "DONE"
    exit 0
  fi

}

# MAIN
MYSELF=$0

# SBC ENV TIMEOUT
SBC_GEN_WAIT=1800
SBC_DATA_WAIT=1800
export SBC_GEN_WAIT
export SBC_DATA_WAIT


# RUN SUB
sub_env $1
sub_main



